This documentation is currently under development. Certain sections are not yet complete and will be added shortly.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

List all users attached to the tenant

get
/api/{tenantId}/admin/users

Returns all back-office users with access to this tenant.

Authorization

Requires tenant.access:read scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
tenantIdstringRequired
Responses
200

Users returned.

Tenant-scoped user representation.

idstring · min: 1Required

User identifier.

emailstring · min: 1Required

User email address.

namestring · nullableOptional

Display name.

blockedbooleanOptional

True when the account is blocked.

lastLoginstring · nullableOptional

Last login timestamp.

tenantRolestring · nullableOptional

Tenant role assigned to the user.

get/api/{tenantId}/admin/users
200

Users returned.

Create a new user or attach an existing user to the tenant, unless already attached

post
/api/{tenantId}/admin/users

Creates a new Auth0 user or attaches an existing one to this tenant. If the user already has access to the tenant (a valid role), returns HTTP 409 Conflict.

Authorization

Requires tenant.access:write scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
tenantIdstringRequired
Body

Request payload for creating a tenant user.

emailstring · min: 1Required

User email address.

namestring · nullableOptional

Display name.

rolestring · min: 1Required

Tenant role to assign.

Responses
201

User created or attached.

Tenant-scoped user representation.

idstring · min: 1Required

User identifier.

emailstring · min: 1Required

User email address.

namestring · nullableOptional

Display name.

blockedbooleanOptional

True when the account is blocked.

lastLoginstring · nullableOptional

Last login timestamp.

tenantRolestring · nullableOptional

Tenant role assigned to the user.

post/api/{tenantId}/admin/users

Get a user attached to the tenant

get
/api/{tenantId}/admin/users/{userId}

Returns the back-office user details for the requested tenant.

Authorization

Requires tenant.access:read scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
userIdstringRequired
tenantIdstringRequired
Responses
200

User returned.

Tenant-scoped user representation.

idstring · min: 1Required

User identifier.

emailstring · min: 1Required

User email address.

namestring · nullableOptional

Display name.

blockedbooleanOptional

True when the account is blocked.

lastLoginstring · nullableOptional

Last login timestamp.

tenantRolestring · nullableOptional

Tenant role assigned to the user.

get/api/{tenantId}/admin/users/{userId}

Update a user attached to the tenant

put
/api/{tenantId}/admin/users/{userId}

Updates the tenant role and/or display name for a back-office user.

Authorization

Requires tenant.access:write scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
userIdstringRequired
tenantIdstringRequired
Body

Request payload for updating a tenant user.

namestring · nullableOptional

Updated display name.

rolestring · min: 1Required

Updated tenant role.

Responses
200

User updated.

Tenant-scoped user representation.

idstring · min: 1Required

User identifier.

emailstring · min: 1Required

User email address.

namestring · nullableOptional

Display name.

blockedbooleanOptional

True when the account is blocked.

lastLoginstring · nullableOptional

Last login timestamp.

tenantRolestring · nullableOptional

Tenant role assigned to the user.

put/api/{tenantId}/admin/users/{userId}

Remove a user from the tenant

delete
/api/{tenantId}/admin/users/{userId}

Removes the tenant access from the user but keeps the Auth0 account.

Authorization

Requires tenant.access:write scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
userIdstringRequired
tenantIdstringRequired
Responses
204

User removed from tenant.

No content

delete/api/{tenantId}/admin/users/{userId}
204

User removed from tenant.

No content

Get current authenticated user for the tenant

get
/api/{tenantId}/admin/users/me

Returns profile information and fully-expanded permissions for the current authenticated back-office user.

  • If caller is global administrator, all permissions are returned.

  • If role contains wildcard permissions (* or area:*), values are expanded.

Authorization

Requires tenant.core:read scope.

Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2implicitRequired
Authorization URL:
Path parameters
tenantIdstringRequired
Responses
200

Current user returned.

Current authenticated tenant user representation.

userIdstring · min: 1Required

User identifier.

emailstring · min: 1Required

User email address.

displayNamestring · nullableOptional

User display name.

rolestring · nullableOptional

Tenant role assigned to the user. Can be globalAdministrator for global admins not assigned to a tenant role.

permissionsstring[]Required

Expanded permissions for the current user.

get/api/{tenantId}/admin/users/me

Last updated